QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions
QXmppOutgoingServer Class Reference

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server. More...

`#include <QXmppOutgoingServer.h>`

Inheritance diagram for QXmppOutgoingServer:

List of all members.

## Public Slots
void | connectToHost (const QString &domain)
void | queueData (const QByteArray &data)
## Signals
void | dialbackResponseReceived (const QXmppDialback &response)
| This signal is emitted when a dialback verify response is received.
## Public Member Functions
| QXmppOutgoingServer (const QString &domain, QObject *parent)
| ~QXmppOutgoingServer ()
bool | isConnected () const
QString | localStreamKey () const
| Returns the stream's local dialback key.
void | setLocalStreamKey (const QString &key)
void | setVerify (const QString &id, const QString &key)
QString | remoteDomain () const
| Returns the remote server's domain.

## Detailed Description

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server.

## Constructor & Destructor Documentation

QXmppOutgoingServer::QXmppOutgoingServer | ( | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new outgoing server-to-server stream.

Parameters:

  domain | the local domain
  parent | the parent object

QXmppOutgoingServer::~QXmppOutgoingServer | ( |  | ) |

Destroys the stream.

## Member Function Documentation

void QXmppOutgoingServer::connectToHost | ( | const QString & | domain | ) | `[slot]`

Attempts to connect to an XMPP server for the specified domain.

Parameters:

  domain |

bool QXmppOutgoingServer::isConnected | ( |  | ) | const`[virtual]`

Returns true if the socket is connected and authentication succeeded.

Reimplemented from QXmppStream.

void QXmppOutgoingServer::queueData | ( | const QByteArray & | data | ) | `[slot]`

Sends or queues data until connected.

Parameters:

  data |

void QXmppOutgoingServer::setLocalStreamKey | ( | const QString & | key | ) |

Sets the stream's local dialback key.

Parameters:

  key |

void QXmppOutgoingServer::setVerify | ( | const QString & | id,
|  | const QString & | key
| ) |  |

Sets the stream's verification information.

Parameters:

  id |
  key |

The documentation for this class was generated from the following files:

- QXmppOutgoingServer.h
- QXmppOutgoingServer.cpp

All Classes Functions Enumerations Enumerator Properties